Show / Hide Table of Contents

# Interface IRestPrivateChannel

Represents a REST-based channel that is private to select recipients.

##### Inherited Members

IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public interface IRestPrivateChannel : IPrivateChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Recipients

Users that can access this channel.

##### Declaration

    IReadOnlyCollection<RestUser> Recipients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<RestUser> |